--c#导出的的类型
module(..., package.seeall)
--System
String = typeof(System.String)
Int = typeof(System.Int32)

--UnityEngine
GameObject = typeof(UnityEngine.GameObject)
Camera = typeof(UnityEngine.Camera)
BoxCollider = typeof(UnityEngine.BoxCollider)
Animator = typeof(UnityEngine.Animator)
RuntimeAnimatorController = typeof(UnityEngine.RuntimeAnimatorController)
AnimatorOverrideController = typeof(UnityEngine.AnimatorOverrideController)
AnimationClip = typeof(UnityEngine.AnimationClip)
AnimationClipPair =typeof(UnityEngine.AnimationClipPair)
CapsuleCollider = typeof(UnityEngine.CapsuleCollider)
SkinnedMeshRenderer = typeof(UnityEngine.SkinnedMeshRenderer)
AudioSource = typeof(UnityEngine.AudioSource)
AudioClip = typeof(UnityEngine.AudioClip)
AudioListener = typeof(UnityEngine.AudioListener)
Renderer = typeof(UnityEngine.Renderer)
MeshRenderer = typeof(UnityEngine.MeshRenderer)
Material = typeof(UnityEngine.Material)
Texture2D = typeof(UnityEngine.Texture2D)
Shader = typeof(UnityEngine.Shader)
HingeJoint2D = typeof(UnityEngine.HingeJoint2D)
Rigidbody2D = typeof(UnityEngine.Rigidbody2D)
GraySceneHandler = typeof(GrayScene.GraySceneHandler)

--NGUI
UIRect = typeof(NGUI.UIRect)
UIWidget = typeof(NGUI.UIWidget)
UIButton = typeof(NGUI.UIButton)
UIButtonScale = typeof(NGUI.UIButtonScale)
UIGrid = typeof(NGUI.UIGrid)
UIInput = typeof(NGUI.UIInput)
UIPanel = typeof(NGUI.UIPanel)
UIPopupList = typeof(NGUI.UIPopupList)
UIScrollView = typeof(NGUI.UIScrollView)
UISlider = typeof(NGUI.UISlider)
UITable = typeof(NGUI.UITable)
UICamera = typeof(NGUI.UICamera)
UIRoot = typeof(NGUI.UIRoot)
UIAtlas = typeof(NGUI.UIAtlas)
UIRect = typeof(NGUI.UIRect)
UICenterOnChild = typeof(NGUI.UICenterOnChild)
UILabel = typeof(NGUI.UILabel)
UIDragScrollView = typeof(NGUI.UIDragScrollView)
UIToggle = typeof(NGUI.UIToggle)
UISprite = typeof(NGUI.UISprite)
UISpriteAnimation = typeof(NGUI.UISpriteAnimation)
UIAnchor = typeof(NGUI.UIAnchor)
UICenterOnChild = typeof(NGUI.UICenterOnChild)
UITextList = typeof(NGUI.UITextList)
UIWrapContent = typeof(NGUI.UIWrapContent)
UITweener = typeof(NGUI.UITweener)
UITexture = typeof(NGUI.UITexture)
TweenHeight = typeof(NGUI.TweenHeight)
TweenWidth = typeof(NGUI.TweenWidth)
TweenPosition = typeof(NGUI.TweenPosition)
TweenRotation = typeof(NGUI.TweenRotation)
TweenAlpha = typeof(NGUI.TweenAlpha)
TweenScale = typeof(NGUI.TweenScale)
SpringPanel = typeof(NGUI.SpringPanel)
UIDragObject = typeof(NGUI.UIDragObject)
UITextTypeWriter = typeof(NGUI.UITextTypeWriter)

--C_api
GameObjectContainer = typeof(C_api.GameObjectContainer)
UIEventHandler = typeof(C_api.UIEventHandler)
HudHandler = typeof(C_api.Hud)
Map2D = typeof(C_api.Map2D)
Map3D = typeof(C_api.Map3D)
Map2DCamera = typeof(C_api.Map2DCamera)
Map2DWalker = typeof(C_api.Map2DWalker)
Map3DWalker = typeof(C_api.Map3DWalker)
EmojiAnimationController = typeof(C_api.EmojiAnimationController)
EmojiAnimationController = typeof(C_api.EmojiAnimationController)
UILabelHUD = typeof(C_api.UILabelHUD)
UIEffectRenderQueue = typeof(C_api.UIEffectRenderQueue)
AnimEffect = typeof(C_api.AnimEffect)
AttachCameraHandler = typeof(C_api.AttachCameraHandler)
DataContainer = typeof(C_api.DataContainer)
FrameSyncHandler = typeof(C_api.FrameSyncHandler)
RenderObjectHandler = typeof(C_api.RenderObjectHandler)
WalkerEventHandler = typeof(C_api.WalkerEventHandler)
BorderMove = typeof(C_api.BorderMove)


--CameraPath3
CameraPath = typeof(CameraPath3.CameraPath)
CameraPathAnimator = typeof(CameraPath3.CameraPathAnimator)
CameraPathControlPoint = typeof(CameraPath3.CameraPathControlPoint)

--Live2d
Live2dHandler = typeof(Live2d.Live2dHandler)
L2DPhysics = typeof(Live2d.L2DPhysics)

--spine
SpineHandler = typeof(Spine.SpineHandler)

--Share
--ShareSDKManager = typeof(Share.ShareSDKManager)
--ShareSDK = typeof(Share.ShareSDK)
--ShareContent = typeof(Share.ShareContent)